Update an organization member's role
PUT
/api/v1/organizations/{orgID}/members/{memberID}
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"role":"owner"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "role": "owner" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
memberID
required
string format: uuid
Member UUID.
Request Body required
Section titled “Request Body required ” Media type application/json
object
role
string
Responses
Section titled “ Responses ”The updated member.
Media type application/json
object
id
required
string format: uuid
org_id
required
string format: uuid
email
required
string
role
required
string
invited_by
string | null format: uuid
accepted_at
string | null format: date-time
created_at
required
string format: date-time
Example
{ "role": "owner"}Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}The requested resource was not found.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}Request validation failed.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}